<div class="sub-block {% if thesis is not null and thesis.type == 'list' %} {% set currentThesis = thesis %} sub-block_active {% endif %}" data-thesis-type="list">
    <div class="sub-block__title">
        <p class="sub-block__name">Content</p>
        <p class="sub-block__description">Add list items</p>
    </div>
    <div class="form__item">
        <label for="title" class="form__label">Title</label>
        <input id="title" type="text" class="form__input" name="title" {% if currentThesis is defined %} value="{{ currentThesis.title }}" {% endif %}/>
    </div>
    <div class="list-elements form-wrapper" data-admin--thesis--content--list-type-target="listElements">
        {% if currentThesis is defined %}
            {% set withItemMenu = false %}
            {% for contentItem in currentThesis.content %}
                <div class="form__item">
                    <label class="form__label">List Item</label>
                    <div class="form-item-header">
                        <div></div>
                        <div>
                            <button type="button" class="form-item-header__btn" data-action="admin--thesis--content--base#btnDeleteContentElement">
                                <i class="fa-solid fa-trash form-item-header__icon" data-action="admin--thesis--content--base#btnDeleteContentElement"></i>
                            </button>
                            <button type="button" class="form-item-header__btn btn-move-item"><i class="fa-solid fa-sort form-item-header__icon btn-move-item"></i></button>
                        </div>
                    </div>
                    <div class="form__textarea thesis-content-element-wrapper" contenteditable="false" data-list-id="{{ contentItem.id }}">
                        <div class="form__item">
                            <label for="title" class="form__label">Title</label>
                            <input id="title" type="text" class="form__input thesis-title-element" value="{{ contentItem.content.title }}"/>
                        </div>
                        {% if contentItem.content.type == 'text' %}
                            {% include 'admin/views/content_type/text_element.html.twig' with {'contentId': contentItem.content.id, 'text': contentItem.content.content.text} %}
                        {% elseif contentItem.content.type == 'bash' %}
                            {% include 'admin/views/content_type/bash_element.html.twig' with {'contentId': contentItem.content.id, 'command': contentItem.content.content.command} %}
                        {% elseif contentItem.content.type == 'css' %}
                            {% include 'admin/views/content_type/css_element.html.twig' with {'contentId': contentItem.content.id, 'styles': contentItem.content.content.style} %}
                        {% elseif contentItem.content.type == 'php' %}
                            {% include 'admin/views/content_type/php_element.html.twig' with {'contentId': contentItem.content.id, 'code': contentItem.content.content.code} %}
                        {% elseif contentItem.content.type == 'html' %}
                            {% include 'admin/views/content_type/html_element.html.twig' with {'contentId': contentItem.content.id, 'code': contentItem.content.content.code} %}
                        {% else %}
                            <div class="form__item">
                                <p class="form__label">Content</p>
                                <div>
                                    <select id="content-selector" class="form__select select-content">
                                        <option value="text">Text</option>
                                        <option value="bash">Bash</option>
                                        <option value="php">PHP</option>
                                        <option value="html">HTML</option>
                                        <option value="css">CSS</option>
                                    </select>
                                    <button class="form__btn btn-green btn-add-content"
                                            data-action="click->admin--thesis--content--list-type#addListItemContent">Add Content
                                    </button>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                </div>
            {% endfor %}
        {% endif %}
    </div>
    <div class="list-action">
        <button class="form__btn btn-green"
                data-action="click->admin--thesis--content--list-type#addListItem">Add List Item</button>
    </div>
</div>